##############################################
############### 104.2 CERVEJAS ###############
##############################################
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata",
             "lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata",
             "lata","lata","garrafa","lata","chope","nenhuma", "garrafa",
             "garrafa","garrafa","chope","garrafa","garrafa","chope",
             "garrafa","lata","lata")
class(cervejas)
cervejas <- factor(cervejas, levels=c("chope","garrafa","lata","nenhuma"))
# 1. Represente este resultado como um grfico de barras
barplot(table(cervejas)) 
# 2. e um dotplot (funo dotchart)
?dotchart
dotchart(table(cervejas), )
# 3. Qual tem maior razao dado/tinta?
# R: o dotchart

###############################################
############### 104.3 CAIXETAIS ###############
###############################################
setwd("C:/Users/renat/OneDrive/Documentos/Estudos/UNIFESP/Mestrado/Disciplinas/Using_R/Aula_17-05/Exercicios")
caixeta <- read.csv("caixeta.csv",header = T)
# Construa um histograma do dap dos fustes dos caixetais
# dap=2*r e cap=2*r*pi
caixeta$dap = (caixeta$cap/pi)
head(caixeta)
hist(caixeta$dap)
# Construa histogramas da altura das rvores para os diferentes caixetais 
levels(caixeta$local)
hist(caixeta$h[caixeta$local=="chauas"])
hist(caixeta$h[caixeta$local=="jureia"])
hist(caixeta$h[caixeta$local=="retiro"])
# H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
# Sim.

###############################################
############# 104.4 EUCALIPTOS ################
###############################################
egrandis<-read.csv("egrandis.csv",header = T,sep=";")
head(egrandis)
str(egrandis)
# 1.Use o boxplot para analisar o DAP em funo de regiao e rotacao
# dependente ~ preditora|condicionante
library(lattice)
?`lattice-package`
?bwplot
bwplot(dap~regiao|rotacao, data= egrandis)
# 2.Avalie a normalidade da altura do conjunto total de rvores com um 
# grfico quantil-quantil 
qqnorm(egrandis$ht )
# contra a distribuio normal
qqline(egrandis$ht )

##################################################
############# 104.5 MAIS CAIXETAIS ###############
##################################################
head(caixeta)
# 1. Analise a relao dap-altura em funo do local com a funo plot, 
# mas somente para as rvores de Tabebuia cassinoides
# Dica: Para calcular o DAP de rvores de mltiplos fustes primeiro calcule as 
# reas basais de cada fuste, e ento some-as. 
# Em seguida, deduza desta rea basal total o dap total.

# area basal = pi*r^2 cap=2*pi*r <-> r=cap/(2*pi)
# area basal = pi*((cap/(2*pi))^2
(tab<-caixeta[caixeta$especie=="Tabebuia cassinoides",])
tab$fus.cap<-tab$fuste*tab$cap
(tab$areabasal<-((tab$fus.cap/(2*pi))^2)*pi)
(tab$daptotal<-tab$areabasal/pi)
par(mfrow=c(1,3))
tab1<-tab[tab$local=="chauas",]
plot(tab1$h,tab1$dap,col="purple", main="chauas")
tab2<-tab[tab$local=="jureia",]
plot(tab2$h,tab2$dap,col="purple", main="jureia")
tab1<-tab[tab$local=="retiro",]
plot(tab1$h,tab1$dap,col="purple", main="retiro")


# 2. Para a mesma relao do item anterior, verifique linearidade com a 
# funo scatter.smooth
?scatter.smooth
par(mfrow=c(1,3))
tab1<-tab[tab$local=="chauas",]
scatter.smooth(tab1$h,tab1$dap,col="purple", main="chauas")
tab2<-tab[tab$local=="jureia",]
scatter.smooth(tab2$h,tab2$dap,col="purple", main="jureia")
tab1<-tab[tab$local=="retiro",]
scatter.smooth(tab1$h,tab1$dap,col="purple", main="retiro")

# 3. Utilizando o pacote lattice, analise a relao dap-altura em funo do 
# local, mas somente para as rvores de Tabebuia cassinoides
library("lattice")
?`lattice-package`
xyplot(dap~h|local,data=tab)