########################################################
########## 7.2 O MODELO MAIS SIMPLES POSSIVEL ##########
########################################################

anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
             subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)
anova(anim.m2)

# 1. os dois comandos comparam o modelo nulo com o modelo mais complexo. Ou seja, escrever o modelo nulo eh opcional.

summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

# 2. O coeficiente de do intercepto eh igual a media e o desvio padrao eh igual ao erro padrao dos residuos 

anim.m0 <- update(anim.m2, .~. -log(body))
