# # Exercico 7
# 
# # Uma estimativa da incerteza na previsao do modelo
# bb <- read.table("babies.txt", header = T, sep = "")
# summary(bb)
# 
# bb <- bb[!(bb$gestation==999),]
# bb <- bb[!(bb$age==99),]
# bb <- bb[!(bb$height==99),]
# bb <- bb[!(bb$weight==999),]
# bb <- bb[!(bb$smoke==9),]
# 
# summary(bb)
# 
# mod01 <- lm(data = bb, formula = bwt ~ gestation)
# # points(predict(mod1)~bb$gestation, col = "red")
# 
# x <- seq(from = min(bb$gestation), to  = max(bb$gestation), length.out = 100)
# s2 <- var(bb$bwt)
# n <- nrow(bb)
# dq <- (x - mean(bb$gestation))^2
# xobs <- (bb$gestation - mean(bb$gestation))^2
# SSX <- sum(xobs)
# 
# sey <- sqrt(
#   s2*((1/n)+(dq/SSX))
#   )
# 
# coef <- coef(mod01)
# 
# upper <- coef[1] + (coef[2]*x) + (sey*qt(p = 0.025, df = n-2))
# lower <- coef[1] + (coef[2]*x) - (sey*qt(p = 0.025, df = n-2))
# 
# plot(bwt ~ gestation, bb)
# abline(mod01)
# 
# polygon(c(rev(x), x), c(rev(upper), lower),
#         col = rgb(0,0,0,0.2), border = NA)
# 
# # Galileu estava certo?
# 
# # do exercicio anterior
# # Ajuste de polinomios
# init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
# h.d = c(253, 337, 395, 451, 495, 534, 573)
# 
# plot(h.d~init.h)
# 
# mod1 <- lm(h.d~init.h)
# abline(mod1)
# 
# mod2 <- update(mod1, .~. + I(init.h^2))
# cf.m2 <- coef(mod2)
# 
# curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2, col = "red")
# 
# summary(mod2)
# 
# # modelo de terceiro grau
# 
# mod3 <- update(mod2, .~. + I(init.h^3))
# summary(mod3)
# 
# cf.m3 <- coef(mod3)
# curve(cf.m3[1] + cf.m3[2]*x + cf.m3[3]*x^2 + cf.m3[4]*x^3 , 
#       add=T, lty=2, col = "blue")
# 
# anova(mod2,mod3)
# 
# # Comparando o ajuste da curva aos dados, o modelo de terceiro grau certamente tem um melhor ajuste. Isso tambem e evidente nas analises de particao de variancia, que apontam que a adicao do termo de terceiro grau representa uma melhora significativa no ajuste do modelo.
# 
# # Massa de recem-nascidos
# 
# summary(bb)
# # objeto bb ja contem o dataset limpo
# 
# mod.full <- lm(data = bb, formula = bwt ~ gestation*parity*age*height*weight*smoke)
# # modelo com todas as interacoes, inclusive das 6 variaveis
# 
# anova(mod.full)
# # o resultado indica que nenhuma das interacoes de 3a3 ate 6 sao significativas, dessa forma, e necessario testar interacoes par a par
# 
# mod.1 <- lm(data = bb, formula = bwt ~ gestation + parity + age + height + weight + smoke +
#              gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke + parity:age + parity:height + parity:weight + parity:smoke + age:height + age:weight + age:smoke + height:weight + height:smoke + weight:smoke)
# 
# anova(mod.full, mod.1) # a remocao das interacoes nao implica em uma perda significativa de explicacao do modelo mais simples
# anova(mod.1) # existem interacoes par a par que nao sao significativas
# 
# mod.2 <- lm(data = bb, formula = bwt ~ gestation + parity + age + height + weight + smoke +
#               gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke)
# 
# anova(mod.2, mod.1) # a remocao nao e significativa
# anova(mod.2) # remover as interacões que ainda nao sao significativas
# 
# mod.3 <- lm(data = bb, formula = bwt ~ gestation + parity + age + height + weight + smoke + gestation:age + gestation:weight + gestation:smoke)
# 
# anova(mod.2, mod.3) # a remocao das interacoes nao e significativa
# anova(mod.3) # ainda restam interacoes nao significativas
# 
# mod.4 <- lm(data = bb, formula = bwt ~ gestation + parity + age + height + weight + smoke + gestation:age + gestation:smoke)
# 
# anova(mod.4, mod.3) # remocao nao significativa
# anova(mod.4) # todas as interacoes duplas sao significativas
# 
# # Por fim, no modelo mod.4 todas as interacoes par a par que restaram sao significativas. Mesmo que haja um termo isolado nao significativo (age), nao e possivel remove-lo, pois ha parte da variacao explicada pela interacao deste termo com outro. Desta forma, estabelece-se que o modelo mod.4 e o melhor modelo para a relacao proposta.
# 
# 
