# # 4.2 - cervejas
# cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
# 
# ##Represente este resultado como um gráfico de barras e um dotplot (função dotchart).
# 
# barplot(sort(table(cervejas),decreasing = T))
# dotchart(table(cervejas))
# 
# # Qual tem maior razão dado/tinta? 
# # O gráfico do tipo dotchart
# 
# 
# # 4.3 - caixetais
# 
# caixeta <- read.table(file = "~/Dropbox/BIE5782/Tutoriais/Tuto_3/caixeta.csv",
#                       header = T,sep = ",")
# 
# # Construa um histograma do dap dos fustes dos caixetais.
# 
# caixeta$dap <- caixeta$cap/pi
# hist(caixeta$dap)
# 
# # Construa histogramas da altura das árvores para os diferentes caixetais ('local').
# library(lattice) 
# histogram(~dap|local,data = caixeta)
# 
# # Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?
# # Sim. Enquanto as distribuições são geralmente deslocadas para a esquerda, isto é, concentração em baixos valores, em chauas há proporcionalmente maior concentração em daps menores, mas em retiro há maior concentração de menores daps em valores absolutos
# 
# # 4.4 - Eucaliptos
# 
# egrandis <- read.table(file = "egrandis.csv", header = T, sep = ";")
# 
# # Utilize o gráfico boxplot para analisar o DAP de árvores de E. grandis em função das variáveis região (regiao) e rotação (rotacao).
# boxplot(egrandis$dap ~ egrandis$regiao + egrandis$rotacao)
# 
# # Há uma distinção clara entre as categorias da variavel rotação, tendendo a concentrar distribuições com valores menores na rotação 2 do que na rotação 1
# 
# # Avalie a normalidade da altura do conjunto total de árvores com um gráfico quantil-quantil contra a distribuição normal.
# 
# qqnorm(egrandis$ht)
# qqline(egrandis$ht, col = "red")
# 
# # O gráfico qqnorm compara os quantis teoricos de uma distribuição normal gerada a partir dos parâmetros da nossa amostra com os valores obtidos. Quando há normalidade nos dados, espera-se uma relação linear entre essas variáveis, o que não é o caso, pois a curva quantil-quantil distancia-se muito dessa relação esperada, sobretudo nos quantis mais altos.
# 
# # 4.5 - mais caixetais
# # Analise a relação dap-altura ('dap' e 'h') em função do caixetal (local) com a função plot, mas somente para as árvores 2 de caixeta (Tabebuia cassinoides).
# 
# t_casinoides <- caixeta[caixeta$especie == "Tabebuia cassinoides",]
# 
# t_casinoides$area_basal <- pi*(t_casinoides$dap/2)^2
# 
# t_casinoides_ag <- aggregate(t_casinoides$area.basal, 
#                              by = list(t_casinoides$local,
#                                        t_casinoides$arvore,
#                                        t_casinoides$h), 
#                              FUN = sum)
# colnames(t_casinoides_ag) <- c("local", "arvore", "h", "area_basal")
# t_casinoides_ag$dap2 <- (2*sqrt(t_casinoides_ag$area_basal))/pi
# 
# plot(x = subset(t_casinoides_ag, t_casinoides_ag$local == "chauas")$h, 
#      y = subset(t_casinoides_ag, t_casinoides_ag$local == "chauas")$dap)
# points(x = subset(t_casinoides_ag, t_casinoides_ag$local == "jureia")$h, 
#       y = subset(t_casinoides_ag, t_casinoides_ag$local == "jureia")$dap, col = "green")
# points(x = subset(t_casinoides_ag, t_casinoides_ag$local == "retiro")$h, 
#        y = subset(t_casinoides_ag, t_casinoides_ag$local == "retiro")$dap, col = "red")
# 
# # As 3 localidades apresentam relações dap ~ h muito similares, quando plotadas sobrepostas, há a formação de uma nuvem de pontos. Entretanto, essa relação parece significativamente positiva.
# 
# scatter.smooth(x = subset(t_casinoides_ag, t_casinoides_ag$local == "chauas")$h, 
#                y = subset(t_casinoides_ag, t_casinoides_ag$local == "chauas")$dap)
# scatter.smooth(x = subset(t_casinoides_ag, t_casinoides_ag$local == "jureia")$h, 
#                y = subset(t_casinoides_ag, t_casinoides_ag$local == "jureia")$dap)
# scatter.smooth(x = subset(t_casinoides_ag, t_casinoides_ag$local == "retiro")$h, 
#                y = subset(t_casinoides_ag, t_casinoides_ag$local == "retiro")$dap)
# 
# # o teste de lineariedade corrobora a hipótese anterior, mas é bastante sensível a outliers, como evidenciado pela localidade chauas, em que uma arvore medida com altura 400 distorce essa relação
# 
# library(lattice)
# 
# xyplot(x = t_casinoides_ag$dap2 ~ t_casinoides_ag$h | t_casinoides_ag$local)
# # o pacote lattice possui uma função que resume a preparação gráfica anterior ustilizando o modelo de fórmulas cooptadas de modelos lineares, mas o resultado gráfico é em essência o mesmo