# EXERCICIO 109.2

x <- runif(100)
y <- runif(100)

graficos <- function(x,y)
{
if (length(x)!=length(y)) {
stop("Vetores possuem Tamanhos Diferentes")
}
par(mfrow=c(2,3), pch=19)

boxplot(x,y, col=c(rgb(0,0.2,0.6), rgb(0,0.6,0.4)), names=c("Vetor X", "Vetor Y"), main="BoxPlot de X e Y")

hist(x, col=rgb(0,0.2,0.6), main = "Histograma de X", ylab = "Frequencia", xlab = "Vetor X")
hist(y, col=rgb(0,0.6,0.4), main = "Histograma de Y", ylab = "Frequencia", xlab = "Vetor Y")

plot(x,y, col=c(rgb(0,0.2,0.6,0.8), rgb(0,0.6,0.4,0.8)), xlab = "Vetor X", ylab= "Vetor Y", main="Vetor Y Em Funcao do Vetor X")
legend("bottomright", legend = c("Vetor X", "Vetor Y"), fill=c(rgb(0,0.2,0.6,0.8), rgb(0,0.6,0.4,0.8)), bty="n", cex=0.6)

qqnorm(y=x, col=rgb(0,0.2,0.6,0.8), main = "Quantil-quantil de X", ylab="Quantis da amostra", xlab="Quantis teoricos")
qqnorm(y=y, col=rgb(0,0.6,0.4,0.8), main = "Quantil-quantil de Y", ylab="Quantis da amostra", xlab="Quantis teoricos")
cat("\t Analise exploratoria")

sumarioxy <- list(sumario.x = summary(x), sumario.y = summary(y), coeficiente.correlacao = cor(x,y))
return(sumarioxy)
}

graficos(x,y)

