5.1

saligna <- read.table("e.saligna.csv", header=TRUE, sep=",", as.is=TRUE)
head(saligna)

par(las=1)
plot(saligna$dap, saligna$ht, tck=0.03, bty="l", pch=16,col="red",
main="Eucalypthus saligna",cex.main=1.8, cex=1.4,
xlab="", ylab="",
)

mtext("Dimetro  altura do peito (cm)",at=15, ,line=2.7,side=1, cex=1.5)

mtext("Altura (m)", side=2, line=2.7, cex=1.7,las=3)
library(png)
savePlot("saligna.png", type="png")


##########################

5.2

a<-aggregate(saligna$dap ~ saligna$talhao, saligna,mean)
a
b<- aggregate(saligna$dap ~ saligna$talhao, saligna,sd)
b
dap.media <- c(10.366667, 12.985714, 11.633333, 15.380000, 13.587500, 13.150000) 
dap.desvio <- c (3.733452, 6.023960, 4.266536, 5.483794, 5.154315, 6.285499)


par(mfrow=c(1,2), las=1, tck=0.03,bty="l")
boxplot(saligna$dap~saligna$talhao)
mtext("DAP(cm)",line=2.7,side=2,cex=1.7,las=3)
mtext("Talho",line=2.7,side=1,cex=1.5)
text(1,22, "a", cex=1.8)

plot(dap.media, xlab= "", ylab="",ylim=c(0,25),tck=0.03,las=1) 
segments(x0=c(1:6), y0=dap.media - dap.desvio, x1=c(1:6), y1= dap.media + dap.desvio)
mtext("DAP Mean and Sd",line=2.7,side=2,cex=1.7,las=3)
mtext("Talho",line=2.7,side=1,cex=1.5)
text(2,23,"b",cex=1.8)

##############################

5.3
xy<- read.table("xy.csv", header=TRUE, sep=",", as.is=TRUE)
str(xy)
xy$x1
xy$y1
xy$y2<-as.factor(xy$y2)

par(mfrow=c(1,2),tck=0.03,bty="l", mar = c(5,7,4,2))
plot(xy$y1~xy$x1,pch=17,ylim=c(0.0,3.0), xlim=c(0.5,2.2),xlab="",ylab="")
mtext("Euclidean distances",line=2.7,side=2,cex=1.3,las=3)
mtext("Log(patch size)(ha)",line=2.7,side=1,cex=1.1)
text(2.2,3,"a",cex=1.2)

modelo<-lm(xy$y1~xy$x1)
coeficiente<-coef(modelo)
coeficiente
curve(2.4594343 +-0.5172964 *x,add=T,col="black",lwd=2)


boxplot(xy$x2~xy$y2, outline=FALSE,ylim=c(0.0,3.0),names=c("Small",
"Medium \n Edge","Medium \n Interior","Large \n Edge","Large \n Interior",
"Control"))
text(6.5,3,"b",cex=1.2)
text(1,3,"*",cex=1.8)
text(2,3,"*",cex=1.8)
text(3,3,"**",cex=1.8)
text(4,3,"*",cex=1.8)
text(5,3,"***",cex=1.8)

