#9.2 Exercício Análise exploratória simultânea de duas variáveis
#Cria um set de dados para testar a função
x <- rnorm(100)
y <- rnorm(100)
#Cria a função "explore"
explore <- function(x,y)
  {
  #Testa se o comprimento dos vetores é o mesmo
  if (length(x)!=length(y)) {
    stop("X e Y tem tamanhos diferentes")
  }
  #Divide o dispositivo gráfico em duas linhas com três colunas
  par(mfrow=c(2,3), pch=19)
  #Gera os gráficos boxplot, histogramas (para cada), plot xy e qq para cada
  boxplot(x,y, col=c(rgb(0,0.2,0.6), rgb(0,0.6,0.4)), names=c("Vetor X", "Vetor Y"), main="BoxPlot de X e Y")
  hist(x, col=rgb(0,0.2,0.6), main = "Histograma de X", ylab = "Frequência", xlab = "Vetor X")
  hist(y, col=rgb(0,0.6,0.4), main = "Histograma de Y", ylab = "Frequência", xlab = "Vetor Y")
  plot(x,y, col=c(rgb(0,0.2,0.6,0.8), rgb(0,0.6,0.4,0.8)), xlab = "Vetor X", ylab= "Vetor Y", main="X e Y")
  legend("bottomright", legend = c("Vetor X", "Vetor Y"), fill=c(rgb(0,0.2,0.6,0.8), rgb(0,0.6,0.4,0.8)), bty="n", cex=0.6)
  qqnorm(y=x, col=rgb(0,0.2,0.6,0.8), main = "Quantil-quantil de X", ylab="Quantis da amostra", xlab="Quantis teóricos")
  qqnorm(y=y, col=rgb(0,0.6,0.4,0.8), main = "Quantil-quantil de Y", ylab="Quantis da amostra", xlab="Quantis teóricos")
  cat("\t Análise exploratória")
  #Retorna a lista com os resultados
  lista <- list(sumario.x = summary(x), sumario.y = summary(y), coeficiente.correlacao = cor(x,y))
  return(lista)}
#Testa a função com os dados gerados no começo
explore(x,y)
##