############################################
## 9.2 EX ANALISE EXP SIMULTANEA DE 2 VAR ##
############################################

dv <- function(x,y,graphics=T)
{
  if(length(x)!=length(y))
  {
    stop(call="Os vetores no possuem o mesmo tamanho")
  }
  par(mfrow = c(2,3))
  hist(x, 
       col="indianred1", 
       main="Histograma", 
       ylab="Frequncia")
  hist(y, 
       col="lightseagreen", 
       main="Histograma", 
       ylab="Frequncia")
  boxplot(x,
          y, 
          col=c("indianred1","lightseagreen"),
          names=c("x","y"))
  qqnorm(x,col="indianred1", main="Q-Q Plot (x)", xlab="Quantil terico", ylab="Quantis amostrados")
  qqline(x)
  qqnorm(y, col="lightseagreen", main="Q-Q Plot (y)", xlab="Quantil terico", ylab="Quantis amostrados")
  qqline(y)
  plot(x,y, col=c("indianred1","lightseagreen"), main="Correlao (y~x)")
  abline(lm(y~x))
  c <- cor(x,y)
  return(list(summary(x), summary(y),c))
}

# teste da funcao

x0=rnorm(100,5,2)
y0=rnorm(100,8,3)

dv(x0,y0)


