# # 107_2
# 
# library(MASS)
# 
# anim.m2 <- lm(log(brain)~log(body),data=Animals, 
#               subset=!(log(Animals$body)>8&log(Animals$brain)<6))
# 
# anim.m0 <- lm(log(brain)~1, data=Animals, 
#               subset=!(log(Animals$body)>8&log(Animals$brain)<6))
# 
# anova(anim.m0,anim.m2)
# 
# 
# # qual a relacao do comando anova acima com
# 
# anova(anim.m2)
# 
# # A funcao anova aplicada a dois modelos retorna uma comparacao entre dois modelos aninhados, indicando se o aumento da complexidade do modelo representa um ganho significativo na explicacao da relacao entre as variaveis. Ao aplicar a funcao para apenas um modelo, retorna-se uma comparacao da relacao imposta pelo modelo a um modelo nulo, em que a inclinacao da reta e zero. No caso, os resultados sao semelhantes porque o modelo anim.m0 foi estabelecido justamente como um modelo nulo, em que nao ha relacao entre o log da massa e o log da massa do cerebro. 
# 
# # Qual a relacao entre os valores obtidos por esses comandos
# summary(anim.m0)
# mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
# sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
# 
# # o summary de um modelo nos indica algumas estatisticas basicas sobre um modelo. Se tratando de um modelo nulo, ha apenas uma estimativa, a do intercepto, uma vez que a inclinacao e zero. O valor que o intercepto assume em um modelo nulo e a media dos valores de y, enquanto que o erro dos residuos do modelo corresponde a propria distribuicao dos valores de y, pois na ha correlacao. Desta forma, o valor do erro assume o valor do desvio padrao dos valores de y.