###7.2 O modelo mais simples possível
#regressão da massa do cérebro em função da massa corporal de alguns animais
anim.m2 <- lm(log(brain)~log(body),data=Animals, subset=!(log(Animals$body)>8&log(Animals$brain)<6))
#modelo ajustado
anim.m0 <- lm(log(brain)~1, data=Animals, subset=!(log(Animals$body)>8&log(Animals$brain)<6))
#Comparação entre os dois (ANOVA)
anova(anim.m0, anim.m2)
#1. Qual a relação do comando 'anova' acima com:
anova(anim.m2)
#Resp: QUando fazemos o comando anova do anima.m2 temos a variação explicada pelo modelor (142.64)
# e os residuais (o quanto não foi explicado). Quando fazemos anova(anim.m0, anim.m2) estamos
#comparando o modelo com o modelo nulo. Então o que temos é o total de variação
#que seria a soma do quanto o modelo m2 explicou e dos resíduos. 
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
#2. Qual a relação entre os valores obtidos por estes comandos:
#Resp: A média obtida pelo segundo comando é o valor da estimativa do intercepto
#e o valor de sd é o erro padrão dos resíduos, em 24 gl
